<div *nzModalTitle i18n="Consent Declaration | Wizard header @@consentDeclaration">
  Consent Declaration
</div>

<div>
  <div class="loading-spinner" *ngIf="loading">
    <img ngSrc="assets/spinner_small.gif" alt="loading" height="100" width="100" />
  </div>

  <div *ngIf="!loading">
    <h3
      i18n="No Provider Schema Hint @@noProviderSchemaHint"
      *ngIf="this.providers.length === 0">
      The provider has not yet uploaded a consent form.
    </h3>

    <!-- <div i18n="Guide | Guide Text @@guideText">
      <h2>Guide</h2>
      <ul>
        <li>Hint 1</li>
        <li>Hint 2</li>
        <li>Hint 3</li>
      </ul>
    </div> -->

    <div *ngIf="!isSummary && selectedProviderId">
      <h2>
        {{ getSelectedProvider()?.name }}
      </h2>
      <div *ngFor="let group_data of getSelectedProvider()?.groups">
        <nz-collapse *ngIf="Object.keys(groupsToConsent).includes(String(group_data.id))">
          <nz-collapse-panel [nzHeader]="groupConsentPanelHeader">
            <ng-template #groupConsentPanelHeader>
              <div class="consent-header">
                <span>
                  <span style="color: #000">{{ group_data.label }}</span>
                </span>
                <span>
                  <nz-switch
                    [(ngModel)]="groupsToConsent[group_data.id]"

                    (click)="$event.stopPropagation()"
                  ></nz-switch>
                </span>
              </div>
            </ng-template>

            <p>
              <markdown>
                {{group_data.description}}
              </markdown>
            </p>
            <p>
              <b i18n="purpose of collection | @@purposeOfCollection">Purpose of collection:</b>
              <br />
              <markdown>
                {{group_data.purposeOfCollection}}
              </markdown>
            </p>
          </nz-collapse-panel>
          <p></p>
        </nz-collapse>
      </div>

    </div>

    <div *ngIf="isSummary && selectedProviderId">
      <h3>Neue Einwilligungen:</h3>

      <div *ngFor="let provider of this.providers">

        <div *ngFor="let group_data of provider.groups">
          <div *ngIf="Object.keys(groupsToConsent).includes(String(group_data.id)) && groupsToConsent[group_data.id]">
            <b>{{provider.name}}</b> - {{group_data.label}}
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div *nzModalFooter>
  <div class="action-btns" *ngIf="!isSummary">
    <span></span>
    <div class="actions-btns-end">
      <button
        nz-button
        i18n="Previous @@previousWithIcon"
        (click)="prev()"
        *ngIf="selectedProviderId && providerIds.indexOf(selectedProviderId) - 1 >= 0">
        <fa-icon [icon]="faArrowLeft"></fa-icon>
        Previous
      </button>
      <button
        nz-button
        i18n="Next @@nextWithIcon"
        (click)="next()"
        *ngIf="selectedProviderId && providerIds.indexOf(selectedProviderId) < providerIds.length - 1; else summaryButton">
        Next
        <fa-icon [icon]="faArrowRight"></fa-icon>
      </button>
      <ng-template #summaryButton>
        <button
          [disabled]="!consentChanged()"
          nz-button
          i18n="Summary @@summaryWithIcon"
          (click)="showSummary()">
          Summary
          <fa-icon [icon]="faArrowRight"></fa-icon>
        </button>
      </ng-template>
    </div>
  </div>

  <div class="action-btns" *ngIf="isSummary">
    <span></span>
    <div class="actions-btns-end">
      <button
        nz-button
        (click)="prev()"
        i18n="Previous @@previousWithIcon">
        <fa-icon [icon]="faArrowLeft"></fa-icon>
        Previous
      </button>
      <button
        [disabled]="!consentChanged()"
        nz-button
        nzType="primary"
        (click)="submit()"
        i18n="Submit @@submit">
        Submit
      </button>
    </div>
  </div>
</div>
